#pragma once
//#define CONFIG_SKETCH_DEBUG

// Set where debug messages will be printed.
#define DEBUG_PRINTER Serial

#ifdef CONFIG_SKETCH_DEBUG
  #define SKETCH_DEBUG_INIT(speed){ DEBUG_PRINTER.begin(speed); }
  #define SKETCH_DEBUG_PRINT(...) { DEBUG_PRINTER.print(__VA_ARGS__); }
  #define SKETCH_DEBUG_PRINTF(...) { DEBUG_PRINTER.printf(__VA_ARGS__); }
  #define SKETCH_DEBUG_PRINTLN(...) { DEBUG_PRINTER.println(__VA_ARGS__); }
#else
  #define SKETCH_DEBUG_INIT(speed)
  #define SKETCH_DEBUG_PRINT(...) {}
  #define SKETCH_DEBUG_PRINTF(...) {}
  #define SKETCH_DEBUG_PRINTLN(...) {}
#endif

